<?php
	
	if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	
	if ($_SESSION['status']<1) {
?>
<script type="text/javascript">
<?php
	echo "var s = 'http://".$_SERVER['HTTP_HOST']."/index.php?m=0';";
?>
	window.location.href = s;
</script>
<?php
		exit();
	}
	
require_once('wiras_php/wa_baza/wa_polacz.php');
	//---POBRANIE PYTANIA---	
	$zap = "SELECT nazwa, count(*) AS lp, SUM(punkty=5) AS suma5, SUM(punkty=15) AS suma15, 
			SUM(punkty) AS suma FROM wyniki_test GROUP BY nazwa";
	$pobierz = mysqli_query($db, $zap);
	$wynik = array();
	while ($wiersz = mysqli_fetch_row($pobierz)) 
	{
		$wynik[] = $wiersz;
	}
	$lr = count($wynik);
	
	$dzisiaj = date('Y-m-d');
	$zap = "SELECT * FROM admin_test WHERE data<='$dzisiaj'";
	if ($result=mysqli_query($db,$zap)) {
		$lt=mysqli_num_rows($result);
		mysqli_free_result($result);
    }
?>
	<script src="formularze/js/jquery-3.2.1.js"></script>
	<script src="formularze/js/jquery-ui.js"></script>
	<link rel="stylesheet" href="formularze/css/style.css" />
<div id="wynikt_tlo">
	<h3 style="text-align: center; font-size: 2em; color: #E80;">Wyniki testów</h3><br>
	<h2>Liczba wszystkich testów do rozwiązania:
<?php  echo $lt;
?>
</h2>
	<div id="wynikt_wynik">
		<table id="table_wynik">
			<tr>
			<th>Nazwa użytkownika</th><th>Wszystkie testy</th><th>Poprawne</th><th>Błędne</th><th>Suma punktów</th>
			</tr>
<?php
	for ($i=0; $i<$lr; $i++) {
		echo '<tr>'; 
		echo '<td>'.$wynik[$i][0].'</td><td>'.$wynik[$i][1].'</td><td>'.$wynik[$i][3].'</td><td>'.$wynik[$i][2].'</td><td>'.$wynik[$i][4].'</td>';
		echo '</tr>'; 
	}
?>
		</table>
	</div>	
	<br /><b>Wszystkie testy</b> - Liczba rozwiązanych testów<br />
	<b>Poprawne</b> - Liczba poprawnie rozwiązanych testów<br />
	<b>Błędne</b> - Liczba błędnie rozwiązanych testów<br />
	<b>Suma punktów</b> - Suma uzyskanych punktów<br /> 
	Za każdy rozwiązany test - 5 punktów<br />
	Za każdy poprawnie rozwiązany test - 15 punktów
</div>

<script type="text/javascript">

$(document).ready(function(){	
	var szer = window.innerWidth;
	var wys = window.innerHeight;

	$('#kontener').width(szer-12);
	$('#kontener').height(wys-12);
	
	
			  

});
</script>
